Page MenuHomePhabricator

csharp: Add Efl.Model implementations to internal model
ClosedPublic

Authored by lauromoura on Oct 7 2019, 5:46 PM.

Details

Summary

CollectionView tries to access some properties from the base model so we
need to provide some implementation of the property getter/setter.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
lauromoura created this revision.Oct 7 2019, 5:46 PM
lauromoura requested review of this revision.Oct 7 2019, 5:46 PM
lauromoura added a child revision: Restricted Differential Revision.Oct 7 2019, 5:56 PM

code seems fine, but one question in inline.

src/lib/efl_mono/efl_mono_model_internal.c
168

why?

lauromoura updated this revision to Diff 26136.Oct 14 2019, 2:58 PM

Update removing rogue removal of EINA_UNUSED.

It should have gone in a separate commit.

SanghyeonLee accepted this revision.Oct 15 2019, 11:27 PM

Thanks for updating

This revision is now accepted and ready to land.Oct 15 2019, 11:27 PM
This revision was automatically updated to reflect the committed changes.